Unsupported browsers

To ensure a great experience with iZettle and avoid technical complications, please ensure you’re always using an updated and supported browser.

If you’re being presented with an “unsupported browser” notification on iZettle.com, it’s because you’re using an old browser and it’s preventing the iZettle website from doing its job. 

Which browsers are supported?

iZettle supports the two latest major versions of the most common browsers, which are:

Note: We do not support any version of Internet Explorer

Why is my browser not supported?

It’s our responsibility to keep you, your customers and your business secure, and many old browsers have security issues.

We also strive to bring you a smooth, reliable user experience and old browsers simply don’t allow us to present you with the best we can offer. If you’re using an old browser, you won’t be able to make the most of all our features and functions. A modern browser gives your business the upper hand.

How do you upgrade, or install a new browser?

Please follow the installation instructions for any of the supported browsers as noted on their respective websites:

What should I do if I can’t upgrade, or install a different browser?

If you can’t upgrade your browser or install a new one, you might need to contact another user with admin rights to your computer and ask them to perform the upgrade/installation.

You could also try to work around the issue by using the browser on your tablet or phone instead.

And, if all else fails, you may be able to continue using the site with an unsupported old browser but bits and pieces will appear broken and you’ll have a generally poor experience. iZettle is, unfortunately, unable to offer support in resolving issues occurring in unsupported browsers.

Need more help?

If you can't find what you're looking for, please get in touch. Our Support team is on duty 9:00 am - 5:00 pm on weekdays.

Call us on: 0203 699 9934

United Kingdom